
What's New in Resonic Player + Pro
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

A formatted version of this log is available at https://resonic.at/whatsnew

0.9.3 (2019-03-21)
~~~~~~~~~~~~~~~~~~

Stability:
- Resonic now warns you on startup when settings cannot be saved properly, or
   the Windows Defender 'Controlled folder access' feature might be affecting Resonic's operation.
  Learn more: https://resonic.at/notes/windows-defender
   (reported: D. Tremblay)
- Pro: Resonic now warns you when audio extraction fails because of full or write-protected disks.
- Fixed a randomly occuring crash that could be triggered by resizing the meta panel.
- Fixed a possible deadlock when using the filter while scanning folders.
   (reported: A. Mor)
- More resilient save and restore of preferences.

Usability:
- File operations (e.g., file deletes) that require a user interaction (e.g., on missing permissions)
   will now show a dialog instead of failing silently.

Integration:
- Restored Windows Vista compatibility. Be advised though that Vista support
   will be removed for good in a future update.
- Pro: 'Fix filenames for Unreal Engine' option that makes filenames produced by Resonic drag & drop
   extraction + slice export, and cropping, digestable by the Unreal Engine's bowels,
    counteracting a bug in UE asset file handling. (09302)
  To change the option click the marker button (next to A-B-) and find the option in each of the
   two independent 'Extraction settings' menus. (reported: M. Gray)

User Interface:
- Pro: The header bar now shows the tempo in bpm, when available from the file's embedded metadata,
   or alternatively an educated guess based on filename and other metadata.
  Also shown is tempo in bpm with the pitch shifting _applied_, i.e. after changing the audio frequency,
   which goes hand in hand with the duration and pitched duration displays.
- Implemented some high DPI improvements for the browser.
- New button in sound preferences that opens the Windows sound control panel
   or the ASIO driver control panel for the selected device in sound preferences.
  The button ('...') is located right of the device selection.
- Fixed a tooltip drawing issue.
- Faster meta panel updates.
- Added 'Show level meter' to visualization button context menu.
- Axed colors in status bar notifications when switching between click modes (SCM/DCM)
   or operating modes (DETAIL/BULLET).
- New experimental oscilloscope visualization, accessible via menu, button, or F12.
  Channels are mixed down to mono, and a fixed 50 ms window is being used (i.e., the width can fit ~20 Hz.)
  A left click seeks to an absolute position in file, just like it does with the other visualizations,
   and is not tied to any oscilloscope functions.
- You can now click the Resonic logo to open the about box, or CTRL-click it to open the website.

Waveform:
- Pro: Any number of sampler loops (e.g., sustaining/release) and generic regions embedded in WAV and AIFF
   audio files are now visualized in the waveform view, and can be used for looping.
  Like most parts of Resonic they are currently still read-only and can thus not be altered.
- Pro: Bigger and more visible selection drag rectangle.
- Eliminated two minor glitches (ruler, and when waveform not loaded yet.)

File List:
- Some columns could not be set to reasonable sizes on high-resolution (e.g., 4K) screens.
   (reported: J. Rubens)
- Corrected rename logic. When renaming a file (F2) the focused file now takes precedence,
   followed by the first selected file, and finally the active (loaded) file.
    (reported: R. Radet)
- Pro: Fixed customized file list copy not working via context menu, but only via shortcut
   (CTRL-ALT-SHIFT-C).

Sound:
- Pro: The 'Sample rate' setting in sound preferences lets you select a desired sample rate
   to open the output audio device with.
  For ASIO devices: When a specific sample rate is selected the ASIO driver will be instructed to switch
   the device to that rate. To leave the device rate untouched select 'Let driver decide', which is
    important when using ASIO in multi-client mode, i.e., multiple applications actively use the same driver.
  Most ASIO devices are limited to ASIO/WDM multi-client (e.g., ASIO in one main application, WASAPI
   in several others at the same time) and only a few devices (e.g., RME) support ASIO/ASIO multi-client
    (e.g., ASIO in several applications at the same time).
  In any case, when using an ASIO card in multi-client mode, sample rates must match across all applications
   actively using the driver, so it is best to keep the sample rate option on 'Let driver decide',
    and let another application be the sample rate master.
- Experimental exclusive WASAPI mode lets you select sampling rate, channel count, and dithering.
  This is a work in progress in need of your feedback!
- Pro: 'Channel offset' setting in sound preferences renamed to 'First output' for clarity,
   and extended with a channel selection button ('...') that shows your ASIO output channels
    and lets you pick the first channel by name.
  This is mainly useful for soundcards with many different output channels.
- Pro: Visual selection of the first output channel for ASIO devices in sound preferences.
  The new button ('...') is located right of the 'First output' input box.

Conversion:
- Pro: Fixed uninitialized batch targets not processing files properly.
   (reported: B. Geller)

Metadata:
- Pro: Metadata support and new file list columns: (09301)
  'Origination Date' (combined BWF origination date and time)
  'Sample Type' shows whether file is a loop or a one-shot, if known (visible by default)
  'Tech Flags' shows which information sources are available in the file's metadata (e.g. BWF, CART)
   and were read by the Resonic meta core.
  'Master Speed' shows the iXML master speed value in frames per seconds (e.g. 29.97)
  'Current Speed' shows the iXML current speed value in frames per seconds
  'Time Signature' shows the musical meter (e.g. 4/4) (also available for MIDI files, initial meter)
  To enable any of these columns right-click the file list, and select 'Columns'.
- Pro: Read and use release dates embedded in Soundminer metadata.
- Pro: Read disc IDs (CD serials) embedded in certain files (e.g. iTunes mp4, xiph),
   display in meta panel.
- Pro: Read and display (not use!) various embedded replay gain settings,
   including ReplayGain v1/v2 track/album gain and peak, algorithm, R128 loudness level and range,
    and R128 album gain for Opus (Opus playback ignores the gain by default.)
- Pro: Corrected display of sample values in meta panel (track/album peak, etc.),
   now also displaying value in its dBFS representation.
- Less restrictive parsing and merging of partial dates,
   e.g., 2019-00-00 is widely used by tagging software and now accepted as well.
- Pro: Time signature is read from Standard MIDI files (only first change is used)
- Pro: More resilient iXML loader now loads potentially damaged content (produced by certain
   Sound Devices hardware.)

Filtering:
- Pro: New filter option 'Match all words' (see filter options, or press ALT-A when the filter
   box is open) makes Resonic match all words instead of an exact phrase.
  There is also a new button in the filter bar showing either "wrds" (match words) or "phrs" (match phrase.)
  For example, "car off" would then also match "car driving off". (suggested: A. Turner)
- Changed button captions in filter bar for clarity:
  "cs" becomes "case" for case-sensitive matching, and
  "*?" becomes "wild" for wildcard matching (using * and ? placeholders.)
  "fn" remains as it is for filename-only matching.

Remarks:
- A dedicated button on the right-hand side of the status bar indicates the type of device that is in use,
   i.e., NONE, ASIO, WAS (WASAPI), WAS-EX (exclusive WASAPI), or DS (DirectSound).
  Click it to go directly to the audio output device options.
- Note that all buttons that show a tiny arrow in the bottom right when you hover over them
   can be right-clicked for a context menu, exposing more functionality.

0.9.2b (2018-12-12)
~~~~~~~~~~~~~~~~~~~

This release is an accumulation of fixes, features, and performance improvements in both Resonic Pro and Player.
Features include reworked file list usability, an improved double-click mode, sticky selections,
 fast file list scrolling, browser folder history, per-device ASIO channel offsets (Pro), mono mix (Pro),
  and custom pause after tracks (Pro).
Improvements have been made around overall usability, high DPI support, playback buffering, and batch targets (Pro).
The Pro version is upgraded with the long-awaited 'bullet mode' for browing very large amounts of audio files
 with the lowest possible application overhead, much improved metadata support (e.g., Soundminer),
  and a new meta panel which presents a lot of the information from the Resonic Meta Core.

Playback and Monitoring:
- Pro: The 'Mono Mix' button completes the basic monitoring section (Dim, Mono, Mute).
  When 'Mono Mix' is active all audio channels are downmixed (summed) to mono,
   and the 'Stereo Crossfeed' (headphones button) becomes inactive.
- Pro: Trim volume control (gain) next to vertical zoom (peak scale) lets you amplify
   or attentuate the playing audio file in the range -48..+24 dBFS.
  The waveform display is adjust accordingly, vertical zoom is disabled. (09207)
- Pro: The A-B button now works as 'Select all' (like CTRL-ALT-A) when playback is stopped
   and nothing is selected.
- Resonic now plays back audio from some 3GPP mobile phone files (.3gp, .3g2, .3gpp, .3gp2)
   through Windows Media Foundation on Windows 7+.
- Resonic now plays back audio from AMR/AMR-WB (Advanced Multi-Rate/Wideband) (.amr) audio files
   through Windows Media Foundation on Windows 10+.
- Pro: The setting 'Pause after each track' lets you set a fixed amount of time to wait after
   each track or file before auto-advancing to the next one.
  See 'Menu | Playback'. (09213)
- Pro: The setting 'Ensure minimum track length' lets you set the minimum duration for each
   track/file before auto-advancing to the next one.
  When the track is shorter than the minimum Resonic will stop playback, wait, then continue.
  When the track is longer than the minimum Resonic will just continue, and optionally
   use the 'Pause after each track' setting to insert an additional delay.
  With these settings you can adjust Resonic to your own working speed.
  See 'Menu | Playback'. (09214)
- Bigger playback buffers at a little extra RAM cost for smoother playback (ASIO/WASAPI).

Performance:
- Pro: The new 'Bullet Mode' puts Resonic into an operating state that optimizes
   many parts of the program including the UI for very fast browsing through very large
    amounts of files (several hundreds of thousands and more.)
  In bullet mode only the most basic information is displayed, metadata scans and info bar
   are both disabled, and thus most file list columns will remain empty.
  This mode can be toggled using a textual button on the right-hand side of the the status bar.
  When enabled the button reads 'BULLET', otherwise 'DETAIL' for full detail mode. (09201)
- Greatly improved file listing performance.
- Improved UI drawing performance.

Stability:
- When Resonic crashes so-called crash dumps are written to disk. These .dmp files help
   us locate and fix the issues that caused the crash, so we can deliver an update.
  Use 'Open crash dumps folder' in 'Menu | Advanced' to open the folder that contains all these
   crash dumps, and email us the latest batch of .dmp files along with a description
    of what you have been doing before the crash happened. (09302)
- Fixed several reported crash bugs. Thanks everyone!

Usability:
- Dynamic fast-scrolling for file list and browser.
  Hold down CTRL and use WHEEL to jump across the file list in coarse but even steps,
   regardless of whether there are 500 files in the list, or 50000.
  This allows you to quickly jump to a certain spot in the list without having to immediately
   go for the scrollbar thumb.
- Pro: CTRL-ALT-SPACE will now shuffle the current list ('Shuffle list'). (09209)
  It is now also possible to set up a global shortcut for this feature. (suggested: J. Prange)
  Reminder: ALT-SPACE plays a random item from the current list.
- Browser and file list popup menus dynamically hide commands that make no sense
   for the clicked item instead of being greyed out,
    e.g., if a folder cannot be bookmarked then "Bookmark" won't be shown.
- Stop mode button ('Stop after current') is no longer disabled while looping.
- Updated shortcuts for mute/dim:
  Press the PAUSE/BREAK key (next to SCROLL LOCK) to toggle mute.
  Hold down the PAUSE/BREAK key to temporarily reduce volume (dim), release to restore volume.
  Press ALT-PAUSE/BREAK to toggle permanent volume reduction (dim.)
- Pro: It is now easier to access filter method/options in the filter menu popup. (09215)
- A text file 'antivirus-readme.txt' is now included with every build of Resonic.
  It's in your own interest to have a look at it.
- CTRL-F now always shows/focuses the file filter, unless it's already focused,
   in which case it's closed.
- Pro: After recording you can click the status message to go to and play the new file.
- Pro: Trying new unstable test builds is now much easier when you already have
   Resonic Pro installed on your system.
  Simply download a new portable test build .zip, unpack it to a writable location (e.g., Desktop)
   and run 'Resonic.exe' from there.
  You will not have to enter your license every time.

Integration:
- Fixed --browse command line parameter.

User Interface:
- Minor preparations for DPI-aware UI rendering and multi-monitor improvements.
- Fixed window position restore when using multiple monitors.
- All list font size/spacing presets now also in Player.
- Pro: Launch modes added to play/pause right click menu for quick toggling
   ('Play immediately' and 'Prepare and pause'). (09202)
  Note that these features are combinable with the 'Double-click mode' (DCM) option. (09208)
- Updated splash screens for both versions of Resonic.
- The 'Resonic now running in background' notification that is shown once per session when
   Resonic is minimized to tray (ALT-M, or automatically via option) has become unbearably
    annoying on Windows 10, so we zapped it.
- Font size presets are generally a step bigger now (small was too small).
- New taskbar quick control button for volume dimming (Windows 10.) (09211)
- Pro: Error messages when trying to record/pitch while using a DirectSound output device,
   which both requires a WASAPI or ASIO device.
- Resonic will now offer to open the whatsnew.txt once after updates.
- Pro: The hotkeys dialog has been adjusted to fit the theme. (09203)

Browser:
- Added basic browser folder history functionality.
  ALT-LEFT browses backwards, ALT-RIGHT browses forward in the folder history.
  There is a folder button in the top left corner as well that keeps track of the folders
   you have visited in the current session. It is cleared when Resonic is closed. (09206)
- To go one level up, to the parent folder, you can now press BACKSPACE (or ALT-UP).
- Explorer-like Drag & Drop, i.e. copy for different drives, move for same drive.
  Move and copy operations can be forced by holding down CTRL and SHIFT.
- Fixed highlighted partially expanded folders not being shown in italic.

File List:
- Reworked selections and usability, and made things more compatible with Windows Explorer.
- Introducing a focused item (green rectangle), in addition to the selected items (blue)
   and the active (playing) item (green.)
  In single-click mode, which is the default behavior (i.e., a click plays a file)
   this new focused item is usually synchronized with the active item (i.e., playing file.)
  In double-click mode (i.e., a click selects a file, a double-click plays a file)
   the new focused item can be used independently from the active (playing) item which greatly
    expands usability in some cases. (09204)
- You can now quickly switch between single-click mode (SCM) and double-click mode (DCM)
   with a new status bar button in the bottom right.
- Improved double-click mode (i.e., click selects a file, double-click plays a file).
  A toggle option was added to the file list menu.
- Introducing the "sticky selections" feature which allows you to play, select, and navigate
   the file list independently.
  Selections become sticky, i.e., they are kept until you press ESC to clear them,
   or change the playlist (e.g., switch another folder), which allows you to select items
    multiple times using keyboard or mouse without losing the previous selections.
  In single-click mode focus and active (playing) item are synchronized.
  In double-click mode focus and active (playing) item are untied, which means you can navigate
   the list independently from the active item, and select independently as well. (09204)
- New shortcut: INS (INSERT) lets you toggle an item's selection state.
  This classic Norton Commander behavior is well known amongst users of FAR Manager,
   Total Commander, Windows Commander, WinNc, and similar software.
  When you use the INS key to select items the file list will automatically go into sticky selections
   and you won't lose any of your selections until you switch folders or playlists.
  To clear the selections manually press ESC.
- The file list will no longer auto-scroll to the playing item on automatic track
   advance when you have one or more items selected.
- Fixed a possible deadlock when the filter was active (reported: A. Frei).
- Improved file list responsiveness, especially while metadata is being scanned.
- Fixed occasional custom column order weirdnesses.
- Pro: Fixed some shortcuts starting playback in 'Prepare and pause' (cue ready) mode
   that should not start playback, which includes UP/DOWN, CTRL-UP/DOWN, ALT-SPACE.
  On click this mode loads a track ahead and pauses, but does not start playback.
   (reported: A. Marcotte)
- Fixed 'Shuffle list' not resetting the order after folder changes. (09209)
- The 'Shuffle list' feature will now always try to keep the active item centered. (09209)
- Fixed a bug where the main column could suddenly jump from 'File Name' to 'Content Kind'
   after using 'Restore defaults'.
- Fixed MENU/APPS key not opening the context menu for the focused file.

Sound:
- Pro: A 'Channel offset' can now be set for each individual ASIO output device.
  This is particularly useful when your ASIO device has 8+ output channels (e.g., MADI)
   and you need to make sure that Resonic starts at a specific channel. (09205)
- Pro: Audio extraction from MOD/MIDI files (i.e., music files rendered by Resonic)
   now takes into account the soundcard's output sampling frequency,
  This fixes issues where decoded music files were having the wrong pitch.
- Pro: Recordings now use temporary files (.$$$) which only show up in Resonic once the recording
   has finished properly. In case your 'Recorded Audio' folder (see bottom of browser) does
    not show the newly recorded files fast enough use F5 to refresh the file list.

Conversion:
- Pro: Removed several interpolation quality settings only leaving 'Low', 'Medium', and 'High',
   with 'High' being the maximum and also the default. (09211)
- Pro: Updated batch targets popup menu, settings, and logic:
  You now explicitly set each batch target to either "copy", "move", "decode", or "process"
   any files dropped onto it. (09216)
  Use "copy" or "move" to only copy/move files to the target folder.
  Use "decode" to only decode input files to the selected output file format.
  If you want to use sample conversion you have to set it to "process".
  Copy/move can be inverted using CTRL/SHIFT during drag, just like anywhere else.
- Pro: Support for headerless RAW output (.raw), in addition to RIFF WAVE (.wav). (09216)

Metadata:
- Fixed displayed duration for Sony DSF high-resolution audio files (.dsf).
  Affected files are automatically rescanned.
- Additional information in info bar for MIDI files: track count, PPQN,
   and the sample rate the MIDI file was rendered at.
- Pro: Resonic now also tries to read BWF metadata from Broadcast Wave chunks with
   invalid versions (some software seems to write versionless, thus broken, BWF chunks),
    but will be reporting it as metadata integrity issue in a future update.
- Pro: Metadata support and new file list columns:
  'Category' (Soundminer, generic)
  'Sub Category' (Soundminer, generic)
  'Original Filename' for name of original/preferred filename (iXML, Soundminer, generic)
  'Library Title' for name of sound library a file is part of (Soundminer, generic)
  'Microphone' for microphone make or model used to create the recording (Soundminer, generic)
  'Recording Medium' for recording medium, recording device, or recorder make or model
   used to create the recording with (Soundminer, generic)
  'Recording Type' (field recording, midside, etc.) (Soundminer, and generic)
  'Location' for location or place the recording was created at (RIFF, AIFF, Soundminer, generic)
- Pro: Improved overall support for Soundminer metadata.
- Resonic now lists files that begin with file extensions (e.g. "XM.some tune".)
  One of the rare cases where you might encounter such files is in the demoscene:
   module music files, found individually or in packs and collections, might originate
    from other systems (e.g. Amiga) that use different naming schemes. (09210)

Web:
- The official discussion forums are now GDPR-compliant, use a dark styled responsive design
   that works on mobile devices, and were relocated to https://forums.liqube.com

New Features:
- Explorer file type icon for bookmarkable MP4 audio files (.m4b).

Improvements:
- Opus decoder updated to libOpus 1.3

0.9.1b (2018-01-24)
~~~~~~~~~~~~~~~~~~~

This release introduces a disk cache that makes already scanned metadata available much faster,
 and comes with much improved Drag & Drop features.
Metadata in DSD audio files (DSF/DFF) is fully supported (some parts in Pro only),
 new shortcuts were added, usability and integration has been improved,
  and lots of little things have been fixed.
Also, the currently playing path is now highlighted in the browser.

Playback and Monitoring:
- The UP and DOWN arrow keys will no longer play the next/previous file, but a random file,
   when the 'Random' playback mode is enabled.
  Note that you can also use ALT-SPACE anytime to play a random file.
- Pro: Fixed MIDI file playback only producing silence when using integrated ResonicProGM sound bank.
   (reported: D. Coscarella)
- Bigger playback buffers (at a little extra RAM cost) for smoother playback.
- Fixed a problem where seeking failed in very long AAC files (~2.5 hours and above.)
   (reported: Slax)
- Info bar now shows 'Float' to indicate floating point WAVE/AIFF files (32/64-bit),
   and was also made more readable.

Performance:
- Introducing a high-performance metadata cache that runs transparently in the background.
  Once new files have been discovered this feature greatly reduces disk accesses,
   making existing metadata available much faster.
  The cache is limited to approximately 128 MB and cleans itself up every now and then.
  When the file list is focused you can issue a complete metadata re-read for all
   listed files by using CTRL-F5.
- You can now edit files in external programs while they are open in Resonic.
- Most of the file operations in Resonic now operate lock-free, which means that files
   can be used and handled in parallel more easily.
- Reduced memory usage in certain usage scenarios.

Usability:
- Pro: Shortcut to double (CTRL-SHIFT-D) and halve (CTRL-SHIFT-F) the selection length.
- Pro: Fixed multiple Drag & Drops of the same waveform selection from Resonic into other applications
   that immediately lock the received files (e.g., Ableton Live), which failed silently.
    (reported: Mr. Bill)
- Pro: You can now click the status bar message after recording to play the recording.

Integration:
- Game Audio: Improved Drag & Drop of audio files into Wwise (tested on 2017.1.4),
   which works around the program's file access issues ('File already open in another process').
- Added options for improved Drag & Drop usability. When dragging files out of Resonic,
   you can choose to bring the target window to the front or minimize Resonic.
  When Resonic is maximized or in fullscreen mode, dragging files to any edge of the
   screen will minimize the window.
  Playback will optionally be paused after successful drops.
- Support the recently added Windows 10 feature 'Scroll inactive windows when I hover over them'.

User Interface:
- Resonic is now more reliably brought to foreground when starting a second instance.
- Input boxes are now scaled to screen width.
- Fixed window position restore for nonstandard taskbar positions.
- Fixed a problem that occured when the Windows taskbar was set to auto-hide.
- Fixed tooltips disappearing in certain screen locations.

Waveform:
- Resonic will now automatically rescan waveforms and metadata for files
   that you modify in external programs.
- Pro: Setting temporary slices (ALT-CLICK) will no longer seek or start playback
   when the stream is paused or stopped.
  You can now slice up your file while stopped and export slices without actually having to listen
   to the file, which is more consistent with SHIFT-SELECT behavior.

Browser:
- As a visual cue the currently playing (active) file's path is now highlighted in green.
  An option to disable this feature is available.
- Fixed pasting files in browser, which could lead to a crash.
- Fixed an issue with ejecting CDs or DVDs.
- Pro: 'Copy path to clipboard' (folder context menu, or CTRL-SHIFT-C when browser focused)
   copies the currently selected folder's full path to the clipboard.

File List:
- Played files now appear dimmed until the file list changes or is is refreshed,
   as a helpful visual cue for improved workflow.
- File list filter now handles UP and DOWN arrow properly in 'Random' playback mode.
- Fixed file selection issues after file delete.
- Fixed file list contents not being updated properly in certain cases.
- Added new 'Follow active item' option. When disabled, the list will not scroll
   after automatic track changes. (suggested: J. Frankel)
- Fixed content kind image not being drawn in some custom column configurations.
- Fixed metadata not being read from files with the read-only attribute set.
- File list clipboard export improved.
  'Export file list | Copy file paths' (file context menu, or CTRL-SHIFT-C when file list focused)
   copies plain text unescaped paths.
  Resonic Pro can also copy the path names (without file names), or just the file names. (09102)
- Pro: File list clipboard export customization added to file context menu under
   'Export file list | Customization', which is most useful to power users and developers.
  Also added new command 'Copy customized file paths' (CTRL-SHIFT-ALT-C).
  Added new selection of backslashes or forward slashes as directory separator. (09102)
- More explicit notifications when files are copied (green) and cut (yellow).
  The same concept applies to browser folders.

Conversion:
- Pro: Ten additional less common sample rates for batch targets (e.g., 8, 11.025, 32, 44.056, 192),
   accessible through the 'Sample Rate' submenu. (09101)
- Pro: Resonic Pro will now use 32-bit Float as default output format for slicing/extracting.
- Pro: When dragging selections out or saving slices Resonic now correctly creates 32-bit Float
   output files from 32-bit Float input files when 'Same as input file' is used as 'Bit Depth'.
  Previously, Resonic created 32-bit PCM output files by default, which pointed out a serious bug
   in Ableton Live where 32-bit PCM wave files are misinterpreted as loud noise.
    So dear Live users, do yourself a favor and stick to 32-bit Float.
     (reported: Mr. Bill)

Metadata:
- When the file list is active CTRL-F5 now triggers a full reload, including all metadata.
- Metadata support for Sony DSF high-resolution DSD audio files (.dsf),
   which are commonly used for consumer content.
  The following information is now read by the Resonic meta core:
   playback duration, sample rate (mhz), channel count, sample count, bit depth, as well as
    most information in embedded ID3v2 tags.
- Metadata support for Philips DSDIFF high-resolution DSD audio files (.dff),
   which are commonly used for professionally authored content.
  The following information is now read by the Resonic meta core:
   playback duration, sample rate (mhz), channel count, sample count, comments, artist, title,
    software ('creating machine'), engineer ('operator name'),
     and in the Pro version: source form ('sound source'), file structure, file integrity checks.
- Improved the Resonic meta core's ability to auto-correct RIFF WAVE files with broken headers,
   and continue to read the remaining metadata.
  However, playback duration is intentionally not reported to easily spot problematic files.
  Future Pro versions may report these errors differently.

0.9.0b (2017-12-28)
~~~~~~~~~~~~~~~~~~~

This release marks the beginning of the final stretch on the road to version 1.0.
The last few months went into preparing many of the internals for the upcoming work we'll
 be doing on database/search/metadata/tagging/playlists.
Audio device handling was reworked and allows for per-device options in future updates.
Files and folders can be renamed, new folders can be created, directly in Resonic.
Also, lots of new features and fixes, so make sure you read the full change log.

New Features:
- Audio: Output device handling has been reworked, which includes load and save of the active devices.
  Previously used devices are stored in the order of their last use.
  If an audio device cannot be opened the next in the order of last used devices is tried.
  If Resonic plays through your current Windows default device and that default device
   changes to another device Resonic will try to follow and switch to the new one when the next
    file starts playing (applies to WASAPI output only.)
  For DirectSound use 'DS - System Default Device', which will do the switching automatically.
  We do not recommend the use of DirectSound, as is the lowest quality output system and should
   only be used for hardware compatibility purposes.
- Audio: When using a WASAPI output device (recommended) and the active device is disconnected,
   lost, or otherwise fails, Resonic will first shut down playback and then the device
    itself, if possible, and finally show a warning.
  If the device was the default device, the new default device will be used.
  If the original device is back online it will be used.
  In any case Resonic will show you a highly visible status message, and only restore
   a device when you start playing a file / a new file.
- Individual files in file list can now be renamed,
   either via the RIGHT-CLICK context menu, or with F2 when the file list is focused.
  When you rename a file the file extension is not shown, and is left untouched.
- Individual folders in browser can now be renamed,
   either via the RIGHT-CLICK context menu, or with F2 when the browser is focused.
- Folders in browser can now be created,
   either via the RIGHT-CLICK context menu, with F7, or with CTRL-SHIFT-N when the browser is focused.
- Pro: The new 'Shuffle list' function randomizes the display order of all items
   in the current playlist.
  This works similar to the 'Random' playback mode which keeps the display order untouched.
  You can use the 'Item Order' column to display the items' actual positions, and to return
   back to the original order.
  'Shuffle list' and 'Random' playback mode can be combined.
- Faster and less blocking file list updates.
- Big parts of Drag & Drop have been reworked and improved.
  Dragging files and folders out of Resonic feels more modern and natural now on Windows 10,
   for example by showing drop tips ("Copy"/"Move"/"Open with"/etc.)
  More imporantly is ensuring that files dragged out of Resonic's file list (e.g., to the Desktop),
   are _always_ copied by default, and not occasionally (and seemingly randomly) moved instead
    by the operating system.
  You can still move files by holding down SHIFT during drag, like anywhere else.
- Usability: You can now horizontally scroll the file list (e.g., when having lots of columns)
   by holding down SHIFT while you use the MOUSE WHEEL.
- Usability: You can now fast-scroll the file list and the browser (e.g., to go look through your
   files and folders faster) by holding down CTRL while using the MOUSE WHEEL.
- Resonic now distinguishes between audio-only and video .mp4 files by analyzing
   the file content in depth, and displays these video files in a different color (purple.) (09001)
  Learn more: https://resonic.at/docs/file-list
- Added 'Export file list' item to file list popup menu to copy with full path names
   of selected files to the clipboard. (09002)
  Resonic Pro can also copy the path names (without file names), or just the file names,
   and offers advanced clipboard quotation settings for developers in the 'Clipboard options' sub menu
    (double quotes, single quotes, escape backslashes in paths, unicode prefix.)
- New command-line options for basic remote control, and creating loop selections.
  Learn more: https://resonic.at/docs/command-line
- File list filter ('Show matching only' is default) now remembers last scroll position and restores
   it when you close or clear the filter. This ensures your workflow is not interrupted when you're
    using the filter often (e.g., via CTRL-F.)
- Pro: File list filter option 'Keep panel open' makes sure the panel does not automatically hide,
   but stays open. (suggested: S. Rauch)
- Pro: File list filter option 'Clear filter text on close' clears the entered filter text
   as soon as the panel is closed. (suggested: M. Senfft)
- When the file list filter panel is open (CTRL-F, or F3) the F3 key can now be used
   to cycle through the filtered results just like in a text editor.
  Use SHIFT-F3 to reverse the cycle order.
- Metadata scans can now more reliably be suspended until the next folder change using
   the animated activity button (...) in the status bar (only visible when metadata is being gathered.)
    (reported: A. Tchernychov)
- Pro: It is now possible to scale the selection length via menu items,
   i.e. double, triple, quadruple, etc. as well as half, third, quarter, etc.
  Right click the A-B button to see the options, e.g., 'Selection length'.
- Pro: Global hotkeys 'Double waveform selection length' and 'Halve waveform selection length'.
- When the file list filter panel is open (CTRL-F, or F3) you can now use
   PAGEUP and PAGEDOWN directly to do page-wise jumps, CTRL-HOME and CTRL-END to jump
    to the top and bottom of the list, without the need to close the filter first.
- Pro: New meta options for file list filter. In addition to filename without path
   you can now also filter by file extension, path, and parent folder name (containing folder).
- New shortcut: CTRL-W closes and unloads the current audio file,
   and potentially unlocks a playing folder when needed.
- Pro: The shortcut CTRL-SHIFT-ALT-W closes and release the current audio output device,
   which will automatically be reinitialized when the next file is played.
  This is useful to manually 'switch off' the device when another application needs it,
   or to manually reinitialize a non-working device (e.g., after USB reconnect.)
- New stop button RIGHT-CLICK menu command: 'Close audio streams'.
- Pro: New stop button RIGHT-CLICK menu commands: 'Close audio streams' and 'Release audio output device',
   which are also available as assignable global shortcuts in Resonic Pro.
- Explorer file type icons for Advanced Audio Coding files (.aac) and Karaoke MIDI files (.kar).
- Pro: Added volume percentage presets (0..100%) from Resonic Player to volume popup menu,
   as an alternative to the decibel presets.
- Pro: Added pitch percentage presets (+/-) to pitch popup (always based on original speed.)
- Pro: Added 'Speed up' (x2) and 'Slow down' (x0.5) to pitch popup menu.
  Note that you can these items multiple times to double or halve the current speed multiple times,
   and that clicking these items will keep the popup open. (suggested: Z. Hulme)
- Pro: Additional file list/browser font size ('XX Large') and row density ('Spacious') presets.
- To stop sorting by a specific column in file list you can now CTRL-CLICK any column header,
   or use the 'Unsorted' item from the file list columns menu.
- All versions of Resonic will now ask before deleting/recycling files and folders.
- Pro: There are several settings available in 'Menu | Advanced | Confirmations',
   which allow you to toggle confirmations for deleting a single file, a single folder,
    or multiple files, separately. Another setting lets you only show confirmations whenever
     keyboard shortcuts were used to trigger delete commands.
- Drag & Drop a file onto the visualization area (waveform) to load and play it (09003).
- If Resonic is started without parameters, but an instance is already running (minimized
   or otherwise hidden), it is automatically brought to the front.
- Files passed into Resonic via command-line at runtime that do not exist will no longer
   change folders and interrupt playback, but cause an error message instead.

Improvements:
- Pro: Slower but much more accurate audio extraction from MP3/MP2/MP1 files.
- Pro: Moved some waveform selection features from marker button to the A-B button
   RIGHT-CLICK menu: 'Select all', 'Restore last selection', 'Randomize selection',
    and 'Selection for tempo/beats'.
- Usability: Further reduced the chance of accidentally creating folder copies in browser
   via Drag & Drop by introducing a Drag & Drop delay.
- Dim button is now correctly highlighted in orange, as orange in Resonic generally means
   that audio is being affected in one way or another, or uses lossy compression.
- Pro: Support for iTunes/APE/etc. initial key (shown in 'Musical Key' column, e.g. 'Am'.)
- Sorting by file extension ('Ext.' column) now uses the filename as a secondary
   sort key for Explorer-compatible groupings. (suggested: Y. Yasui)
- Pro: Now using the root note read from ACID WAV and AIFF files as a fallback for 'Musical Key'.
  All your files will now show a musical key, if at least the root note is known.
- Pro: Now also detects tempo values (bpm) with 1-2 decimals in filenames (e.g. "Loop 140.5bpm.wav")
   as part of the set of meta-based tempo guessing algorithms, and in addition to the
    actual tempo information read from various metadata sources embedded in files.
  While the actual tempo from embedded metadata will be shown first in the 'Tempo' file list column,
   any guessed tempo will be shown in brackets, e.g. "120 (140.5)".
- Pro: Now also detects (some) root keys and scale types (major, minor) in filenames (e.g. "Loop Ebmin.wav")
   in additional to the actual key and scale information read from various metadata sources embedded
    in files.
  While the actual key and scale from embedded metadata will be shown first in the 'Key' file list column,
   any guessed key and scale will be shown in brackets, e.g. "C# (Dbm)".
  Not that some keys cannot be reliably detected from filename at this point (e.g. "Loop A.wav"),
   and will be ignored for the time being. Using "Amaj" instead would be recommended.
- The Resonic meta core will now attempt to correct RIFF WAVE files with broken headers and
   continue to read metadata from RIFF WAVE files. (reported: M. Senfft)
  Note that future versions of Resonic Pro will start reporting metadata quality, which,
   in the case of broken files, would end up being very low. (reported: M. Senfft)
- 'Show matching only' is now the default file list filter mode.
   which means when you open it (CTRL-F) and type something any files that do not match
    your filter pattern will be hidden from the file list, leaving the filtered ones.
  You can change this behavior to 'Show all, but dim non-matching' using the menu button in the filter bar,
   which will then disable any files that do not match your filter pattern and show little
    location indicators in the scroll bar.
- Refreshed light and dark themes.
- Improved file list style, file list filter style, and features.
- Greatly improved responsiveness when selecting files in file list with mouse and keyboard,
   i.e., CTRL-CLICK, SHIFT-CLICK, SHIFT and arrow keys, etc.
- More consistent PAGEUP and PAGEDOWN (page-wise jumping) in file list.
- Changed ENTER behavior in file list filter to be more consistent,
   does always restart the file now, but won't auto-start playing accidentally.
  Press DOWN to play the first filtered result instead.
- Improved new folder feature (F7, or CTRL-SHIFT-N in browser).
  You can now also create multiple levels at once (e.g. "Folder Name\Sub Folder\Another Folder"
   will create the whole structure in one go.)
- Stop button has now more than one function (using subsequent clicks):
  The first click stops audio playback, as expected.
  When playback is stopped another click closes and unloads the audio files.
- Pro: Stop button also has a third function (using subsequent clicks):
  When no files are loaded another click closes and releases the current audio output device,
   which will automatically be reinitialized when the next file is played.
- Header color contrast tweaks, played area overlay color tweaks, and some other color changes.
- Improved contrast for all Explorer file type icons (unavailable in Portable versions.)
- Checked menu items within a group are now clearly visible as such (radio buttons,
   instead of check marks.)
- Better handling of long paths and filenames.
- Browser and file list now default to a bigger font size on higher resolution screens.
- Improved tooltips and added support for large multi-line hints that show the full contents
   of cut-off file list columns (09004). (reported: Andreasvb)
- If 'Disable fade on stop' is enabled (see stop button context menu) Resonic will now
   not only stop playback immediately and without short fade out when the stop button is clicked,
    but also on right-click into the waveform, and in most of the other cases as well,
     making operation more instant.
  Fade on stop is disabled by default in Resonic Pro.

Corrections:
- Pro: Reduced white flashes when resizing the window while using the dark theme.
- When play/pause are combined into one button (RIGHT-CLICK play button for options)
   play will now properly reopen and restart previously unloaded files.
- Several smaller fixes throughout the program.
- Audio output device was not released properly when system goes into sleep or hibernation,
   is now reopened when needed on system resume. (reported: I. Ivanović)
- The notice that is shown when the file list's auto fit option cannot automatically fit all columns,
   because there is not enough room, has been killed with a shovel.
  We happily accept pizza and beer donations for this outstanding accomplishment
   via https://resonic.at/donate ;)
- Pro: Pitch semitones are now limited to a viable range.

Remarks:
- Shortcut changes:
  'Play-scroll previous/next file' was moved to SHIFT-CTRL-WHEEL (from CTRL-WHEEL.)
  'Play-scroll previous/next folder' was moved to SHIFT-CTRL-WHEEL (from CTRL-WHEEL.)
  'Play-scroll random file' was moved to SHIFT-ALT-WHEEL (from ALT-WHEEL.)
  Refresh your knowledge: https://resonic.at/docs/shortcuts
- Pro: Excuse some minor visual Beta dark theme issues (e.g., global hotkeys preferences),
   but we'd rather continue working on important features for the time being.
- We'll continue to support Windows Vista up to version 1.0,
   but please note that Windows XP is no longer supported!

0.8.9b (2017-08-02)
~~~~~~~~~~~~~~~~~~~

This release updates both Player and Pro, and introduces the first set of Pro features for batch
 processing ('Batch Targets'), a what-you-hear recording feature (record button), it improves
  the musical spectrum, adds metadata support for MIDI files, adds basic CART metadata support
   for radio automation users, lets you start different copies (not instances) of Resonic
    at the same time,  and comes with many bug fixes.

New Features:
- Pro: Batch Targets feature (batch processing.)
  Fixed copy/move/decode/convert target folders can be created in the new right sidebar
   (which can be toggled with F6, analogous to the left sidebar and F4) by dragging folders
    onto the 'Targets' tab.
  Each target can receive files and folders for whatever action is assigned to it.
  Additional conversion options are available through the RIGHT-CLICK menu, ranging from
   simple copy/move to audio decoding (to .wav), sample format conversion (bit depth,
    sample rate, channel count).
  Targets are accessible from the (new) right sidebar (through F6, or the button in the status bar),
   which is shown by default on first start of a fresh installation.
  More features are to be added in future versions.
  See https://resonic.at/docs/batch-targets for more information.
- Pro: Recording feature ('what you hear'.)
  Press the record button (transport bar) to record what is currently being played through Resonic,
   including pitch shifting, volume, seeking, live looping, and slice triggering via keyboard keys.
  Recorded audio is stored as .wav files in the 'Recorded Audio' folder in the Resonic user
   profile (in user 'Documents') which is also directly accessible through the browser.
  This feature is intended to be used for sound design, creative idea finding, or as an audio sketch pad.
  To use recording you must use either a WASAPI or ASIO device for playback.
  See https://resonic.at/docs/recording for more information.
- Pro: Musical spectrum and its note/octave estimation have been reduced to a more
   useful range of keys (C0..G8), bar scaling has been updated, bars are now colored
    by average intensity, and fading peak hold has been added.
- Musical spectrum eye candy in Player, too:
   Frequency bars are dynamically shaded based on their relevance (08901).
- Pro: Standard MIDI files are now fully integrated into the Resonic meta core,
   estimating MIDI file duration, reading copyright, timed markers with labels,
    musical key (first key signature change), track count (non-empty tracks),
     MIDI format (0, 1, or 2), pattern count (for format 2 files), PPQ, and tempo in BPM.
  If there are multiple tempo changes in a file an average tempo will be displayed
   in the file list, and the BPM will be put in brackets.
  As a special feature Resonic also displays the number of unique instrument patches
   used in the MIDI file in the 'Instrument Count' column.
- Pro: Added 'Cropped Audio' to browser to quickly access this standard folder in the
   Resonic user profile (in user 'Documents'.)
- Pro: Crop progress display in status bar,
   for both the "Crop selection" and the "Crop selection and play" feature.
- Pro: Added RIGHT-CLICK menu to A-B button for a few selection commands.
  Note that the Play, Stop, and Headphones buttons also have their own RIGHT-CLICK menus.
- Pro: The current mouse-selected region in the waveform is now automatically saved before
   it is modified or cleared, which means you won't accidentally lose the the region.
  The last region can be restored by right-clicking the A-B button, or through the marker
   button menu, using "Restore last selection."
  If a region already exists and a new one is created this feature toggles between
   the last one and the current one.
  This feature is also available as a global hotkey.
- Pro: Much improved behavior of "Crop selection and play" feature (renders the selected
   waveform region to a new audio file and starts playing it):
  Before the new (cropped) file starts playing the selected waveform region is cleared,
   the current pitch settings (semitones/cents) are cleared, and the loop button
    is enabled (repeating the new file.)
  Note that the last selected region can now also be restored through the marker
   menu, or by right-clicking the A-B button ("Restore last selection".)
- Pro: New global hotkey for "Loop on/off", which toggles single-file repeat.
- Pro: AIFF metadata improvements, and reading comment chunks.
- It is now possible to run different copies of Resonic Pro and Player at the same time
   as long as the database paths are different.
  You could for example start a portable Player, a portable Pro, another portable Pro,
   and a regularily installed Pro in parallel.
  Starting the same copy multiple times is not supported yet; it was removed
   during the Alpha to Beta rework for database stability reasons.
- You can now CTRL-C the version information when the about dialog is open.
- Headphones crossfeed presets (BS2B); RIGHT-CLICK the headphones button
   to access them. (08902)
- New item in column popup menu to quickly hide the clicked column.
- Pro: Metadata support for compressed AIFF files (.aifc).
- Added indication of floating point files in bit depth column (using an 'f', e.g., "32f")
- Pro: Additional metadata support for AES CART chunks.
   Available via columns: artist, title, category, cut id, client id, comment.
- Pro: Metadata support for Scott Studios (SS32) Wave files, used in radio automation
   and broadcast systems.
  Available via columns: artist, title, cut id, comment.
  Available via waveform: intro end position, segue position.
   (suggested: G. Zlot)
- Pro: Segue (track transition in radio automation), intro markers, and other CART triggers
   are now read from CART/SS32 metadata and displayed in Resonic's waveform as a dashed line.
- Pro: Addtional metadata support for BSI Wave files (Broadcast Software International),
   used in radio automation and broadcast systems.
  Available via columns: recording year, agency (as copyright), copyright / record label / publisher
   (as publisher), copy / notes (as subject), genre, music key, composer, album, tempo in bpm,
    and track number.
  Available via waveform: hook start position.
- Pro: Added new broadcast columns "Cut Number ID" and "Client ID" (CART).
- Essential fixes from the last Pro release were ported to Resonic Player.
- Utility feature to resize main window to a fixed size, offering a selection of preset sizes,
   which assists in making videos or screenshots of a certain size.
    (see 'Menu | Advanced | Resize main window'.)

Improvements:
- File list items appear faster when pasted (using the CTRL-V shortcut.)
- Faster startup with bookmarks that point to mapped network drives, or network locations.
- Folders can be moved and deleted more reliably as they are unlocked more intelligently
   when necessary, e.g., during Drag & Drop move in browser.
- More detailed information in column popup menu.
  It's also easier to find the clicked column and its metadata group
   which both now appear in bold.
- Opus decoder updated to libOpus 1.2.1 for reduced CPU usage during decoding.
   https://people.xiph.org/~jm/opus/opus-1.2/
- MIDI renderer now more resilient in handling invalid XG sysex messages.
- Slightly faster metadata scanning in Player by not reporting certain content.
- File list copy/paste improvements and fixes.

Corrections:
- Pro: Playback of REX2 mono files. (reported: the3ug3reeder)
- Fixed taskbar quick controls (buttons) disappearing after a while on Windows 10.
- Aborting a metadata scan in folders with lots of files could make one CPU core hang
   at a hundred percent usage. (reported: A. Tchernychov)
- Corrected several Drag & Drop related issues in the browser.
- Pro: Fixed error message shown on every key press when ''Map temporary slices to letter keys''
   is enabled (for fast slice auditioning) and there are no temporary slices set.

0.8.8b (2017-05-09)
~~~~~~~~~~~~~~~~~~~

This major Pro update introduces Propellerhead REX/RX2/RCY support with slice display,
 visual track length indicators for the file list, font size settings for file list
  and browser, and improved metadata support (including Soundminer and NI.)

New Features:
- Pro: Now plays sampled loops and grooves in Propellerhead REX2 and REX format (.rx2 .rex)
   as well as ReCycle document files (.rcy).
  While we reduced loading times a bit please note that .rx2 is not a streaming format,
   i.e., files have to be fully loaded into memory prior to playback.
    This is not the case for .rex and .rcy.
  Optimized code is used to speed up .rx2 metadata scans.
  Metadata is also imported from .rex and .rcy files.
  Slice markers are imported and can be used to set loops or extract slices.
  Unused REX memory is periodically released to keep memory usage low.
- Pro: 'Visual Length Indicators' visualize the relative duration of files you are working with
   using a horizontal line of varying intensity below the file name.
  This feature is intended to be used to visually separate short samples from long ones
   and is limited to 30 seconds, which equals full width.
- Pro: Marker labels are now displayed on top of the waveform, when available.
   Labels are read from Wave and AIFF files. (08801)
- Context-sensitive menus added to browser and file list tab bars (the big arrows.)
- 'Font Size' presets (small, medium, large, x-large, xx-large) let you pick a pre-defined
   font size for both file list and browser, separately. (08802)
- 'Display Density' presets (compact, cozy, comfortable) let you pick a pre-defined
   row height for both file list and browser, separately. (08803)
- When text is cut off in a file list column mouse hover will now show the rest of the line
   in a floating hint window. (08804)
- Pro: Additional command-line options for unattended installation and uninstallation.
   See online documentation, 'Installation'.

Improvements:
- Pro: A lot of additional content is now available to the file list columns,
   e.g., Soundminer and Native Instruments metadata. More info on this in a bit.
- 'Vertical waveform zoom' is now 'Waveform peak scale'.
- Unofficial test builds will now show a watermark on top of the waveform.
- Made it harder to accidentally drag folders onto other folders, i.e.,
   mouse cursor needs to be moved further to actually initiate a Drag & Drop operation.
- Showing additional diagnostic error messages now instead of just 'Resonic could not
   initialize its storage paths' on certain systems where Windows fails to report
    its system paths properly.
- Changed the way start menu and desktop shortcuts are created by the installer
   (standard style shortcuts) which potentially improves application startup speed,
    depending on the system.

Corrections:
- Newly added folders could appear twice in browser. (reported: TJ)
- Restore last played folder on startup.
- Message boxes not centered properly during startup.

Remarks:
- The Resonic website was updated to be responsive, in case you want to look up
   the latest changes, some shortcuts, or the documentation from your phone, tablet,
    or that good old low-resolution backup laptop.

0.8.7b (2017-04-19)
~~~~~~~~~~~~~~~~~~~

New Features:
- Pro: Playback and metadata support for RF64 Wave files (MBWF, BWF Wave, Broadcast Wave).
  RF64 Wave files are RIFF Wave files (both are .wav) that can go past the 2GB
   file size limit, but cannot be read by legacy players.
  These files are typically created by modern applications that need to be able
   to create very large files, e.g. Steinberg Cubase automatically creates RF64/MBWF
    .wav files on export if the file size exceeds 2GB.
- Pro: Now reads and plays BWF Wave files with .bwf extensions.
- Pro: Project, Scene, Take, and Tape columns that correspond with
   iXML metadata embedded in audio files. (08701)
- Pro: Heavily improved support for Soundminer metadata embedded in
   WAV, AIFF, and MP3 files.
- Resonic now supports WavPack hybrid correction files (.wvc).
  In hybrid compression mode WavPack creates pairs of .wv/.wvc files,
   and while the resulting .wv file is lossy the accompanying (but optional) .wvc file
    can be used to complete missing information for lossless playback.
  Resonic will look for a .wvc file in the .wv file's path.
  Thanks to the author of WavPack, David Bryant, for pointing this out!
- Auto-closing popup menus now also fade out.
- Browser now automatically expands collapsed folders after a short delay
   when dragging something onto them.
- Browser now automatically scrolls while dragging something into it.
- Pro: Create temporary slices from slice metas,
   i.e. from slices stored in the metadata of certain filetypes, when available.
- When using WASAPI as output device (recommended) and the active device is disconnected
   or disabled Resonic will first shut down playback and then the device itself,
    and finally show a warning.
- A transparent overlay is now shown between main window and dialogs (e.g. preferences)
   and message or input boxes to focus the attention.
  This feature can be disabled via 'Menu | Interface'.

Improvements:
- Bigger and more readable fonts for waveform playback position (orange),
   and waveform/analyzer/spectrum/level meter mouse position (blue). (08702)
- Pro: Showing detailed timecode while making selections (SHIFT),
   and when snapped to markers, slices, or the loop start/end positions.
- Flac decoder updated to libFlac 1.3.2, fixed previous release's issues.
- Popup menu fixes and usability improvements.
- Drag & Drop improvements.
- Pro: Raised level meter channel limit to 64. (08703)
- Much faster loading of large MIDI files (e.g. 'Black MIDI')
- Pro: Reading additional meta data for several formats, e.g. tempo column (bpm)
   is now calculated based on other available information if possible.
- Waveform drawing improvements for multichannel files.
- Pro: Bigger asynchronous file read buffer, worth the little extra memory use.
- Recently changed created/accessed/modified dates now show up more descriptively
   as 'Today' and 'Yesterday'. (08704)
- Browser is updated faster when creating new folders.

Corrections:
- Fixed track advance not working with DirectSound (DS) output devices.
   (reported: OMG1908)
- Fixed broken file list column order in certain situations.
- Fixed file list issues when deleting files.
- Maximized main window was not being restored when exited in minimized state.

0.8.6b (2017-03-27)
~~~~~~~~~~~~~~~~~~~

This releases introduces vertical waveform zoom, audio extraction improvements,
 and several RIGHT-CLICK menus (stop/play/pause) to Resonic Pro.
It also fixes a few pressing issues (track advance, tray, device selection)
 in both Resonic Player and Pro.

New Features:
- Pro: Vertical waveform zoom.
  Drag the button next to the volume bar ('1.0') up and down or use the MOUSE WHEEL
   to change the vertical zoom factor; click it to reset the zoom.
- Popup menus now automatically close when you move the mouse away from them
   for improved usability.
  This option can be toggled via 'Menu | Interface'.
- Pro: New sample rate conversion (SRC) quality settings for audio extraction:
   high/higher/maximum, or 64/128/256-bit sinc interpolation respectively.
  See marker button menu 'Extraction format.'
- Pro: New sampling rate settings for audio extraction: 88.2 kHz and 96 kHz.
  See marker button menu 'Extraction format.'
- Pro: New bit depth setting for audio extraction: 8-bit.
  See marker button menu 'Extraction format.'
- Pro: Solid waveform background, which is the default Pro style now
   (see 'Menu | Visualization | Waveform style').
- Resonic can now be closed regardless of the 'Close to tray' setting (force close)
   by using CTRL-ALT-F4, in addition to the regular ALT-F4.
- Info bar now shows additional information for DSD files (.dsf/.dff).
- Pro: RIGHT-CLICK menu for stop button.
  Lets you fade out and stop the current track, or disable fade outs on stop
   for immediate stop behavior. (suggested: PHM) (08601)
- Pro: RIGHT-CLICK menu for play/pause buttons.
  Lets you disable fades on pause for immediate pause/unpause behavior,
   and disable the temporary dimming feature accessed by holding down the SPACE key
    while playing which makes it more reactive. (08602)

Improvements:
- Pro: Default sample rate conversion quality set to maximum (256-bit sinc.)
- Subtle highlighting of black keys in musical spectrum.
  Note that the Pro version shows the key names (e.g. 'C# 3') on mouse hover as well.
- Pro: Showing lines separating individual channels ('channel lines') by default
   (see 'Menu | Visualization | Waveform style').
- Pro: Improved text visibility for pitch buttons.
- Selected audio devices are saved immediately upon selection now.
   (reported: noisyjohn)

Corrections:
- Automatic track advance sometimes failed when using a WASAPI output driver.
- Track would not advance automatically after seeking when player was stopped.
- Fixed 'Minimize to tray' and 'Close to tray' not being saved correctly,
   two casualties of last version's configuration system rework.
    (reported: Gazonga)
- Wave files with AC3 header and content were not being played properly on Windows 7
   and Windows Server. (reported: E. Olla)
- Waveform display issues with FLAC files on certain systems.
  Temporarily reverted back to previous version of FLAC plugin/decoder (the new plugin
   can be selected manually in the setup version of Resonic.)

0.8.5b (2017-03-16)
~~~~~~~~~~~~~~~~~~~

This release is a milestone on the way to advanced features:
 the file list filter lets you visually filter what's displayed in the file list by filename
  (artist, title, album, or any other available metadata in the Pro version.)
Resonic now has an often-requested DOUBLE-CLICK mode for the file list,
 improved Drag & Drop handling (does not restart files),
  and a fully reworked configuration system.
We've also let go of Windows XP support in favor of faster progress and features.

New Features:
- Visual file list filtering.
  Press CTRL-F, or F3, or use the filter button on the status bar,
   to toggle the filter panel, then click the settings button on the right
    to change which columns (metadata) you wish to use for filtering.
  Note that the Player version only filters by filename while the Pro version supports
   all available meta columns (both visible and invisible), e.g. description, or album.
  While the filter panel is active use the 'aa'/'Aa' button (or ALT-C) to toggle
   between caseless and case-sensitive matching,
    use the menu button (or ALT-S) to open the filter settings menu.
- Resonic now supports file list DOUBLE-CLICK behavior, an often-requested feature.
   To enable it go to 'Menu | Playback'.
  SINGLE-CLICK behavior will instantly play a file once you click it,
   and will restart the file when double-clicked (by default).
  DOUBLE-CLICK behavior will only play a file when you DOUBLE-CLICK it,
   and will restart the file when double-clicked.
- Resonic no longer restarts the active file on subsequent clicks,
   which is very useful for frequent Drag & Drop users.
    To change this behavior mode go to 'Menu | Playback'.
  This feature can be combined with DOUBLE-CLICK or SINGLE-CLICK behavior.
- Support for high-resolution DSD audio files compressed with WavPack,
   i.e. compressed DSF/DFF in .wv files.
  Note that while DSD-in-WV saves quite a bit of space (in our tests 35-50%) it also
   takes a bit longer to decode (e.g. to prepare the waveform.)
- File list header popup (right click any column header to see it) now stays open
   when you click certain items, which allows you to check/uncheck multiple items easily.
  The same applies to the filter popup menu.
- Pro: Slices can now be erased the same way they can be created, with ALT-CLICK,
   as long as the mouse cursor is snapped to them.
- Page switching in preferences dialog with CTRL-TAB and SHIFT-CTRL-TAB.
- Added 'Browse to containing folder' to file list popup menu which points the browser
   to the file's parent folder.
  This item is only visible when the current list contains files from more than one source,
   e.g. when you scan folders recursively (ALT-CLICK on a folder in browser.)
- Made file list columns accessible via 'Columns' submenu in file list popup menu.
- Added 'Safely remove this device' function to browser context menu popup
   when a removable USB disk is right-clicked (tested with USB sticks so far.)
- Added eject and close CD/DVD drive tray functions to browser context menu popup
   when an optical drive is right-clicked.
- Holding down SHIFT-CTRL-ALT while Resonic is starting up now allows you to reset
   Resonic's preferences if neccessary (a warning will be shown.)
- Pro: 'Select all' for waveform (CTRL-ALT-A) that toggles between all/selection
   (preserves the current selection.)

Improvements:
- Pro: Current ASIO device sample rate is now used for playback by default.
- Resonic now always defaults to WASAPI as standard output device as it is the most stable.
  ASIO is still experimental (you might get buffer repeats on slow systems.)
  DirectSound is no longer recommended, as it is the lowest quality output system,
   and might be dropped in a future version now that XP is no longer supported.
- MOD/MIDI renderers now use the output device's native sample rate to achieve
   the expected quality, and to avoid unnecessary resampling.
- Reworked the application-wide configuration system to support complex setting structures,
   which is an essential requirement for many upcoming features.
  Settings are no longer stored in the 'config-*.db' database files,
   but stored in a text file called 'Preferences.json'.
  A backup is automatically saved to 'Preferences.bak' on exit.
- Slightly higher file list rows, easier to look at. Font size options are in the works.
- Several micro optimizations, e.g. for file list and browser painting,
   and for theme loading.
- File list items disappear faster when deleted (using the DEL key.)
  Please note that we use the operating system's delete functions.
  Files are always recycled, never permanently deleted,
   i.e. they are moved to Windows' own 'Recycle Bin' from where they can be restored.
- Improved fast-restore of last-played folder in browser, improving overall start-up speed
   again because not all parent folders have to be scanned.
  Only the last active folder is initially shown.
  Folders that are not fully expanded on startup will use italic fonts.
  You can click them to fully expand them.
- Playback now stops instantly when you delete a file.
  Press ENTER to continue playback with the next file in list.
- The 'Keep playback position' feature (formerly known as 'Maintain position')
   now also works when a playing file is deleted.
- Some items in the file list popup menu are now hidden when not applicable,
   e.g. no "Clear selection" when there is no actual selection. which keeps the menu
    more compact and dynamic, and tailored to the actual context.
- Pro: Sample rate conversion quality can now be changed for Drag & Drop and slice extractions,
   see marker button menu 'Extraction format'.
  The lowest quality interpolation setting can be useful for sound design,
   for example when you pitch audio down and you want to capture that certain crisp
    unsmoothed low-fidelity in the output.
  Please note that this does not apply to the crop buttons.
- More reliable folder delete (waveform and meta scans are stopped.)
- Pro: Higher quality interpolation (SRC) for MIDI playback and rendering.
- More visible markings on files that have been cut to clipboard (CTRL-X).
- Light and Dark (Pro) theme color changes.
- WavPack decoder updated to 5.0.0
- Flac decoder updated to libFlac 1.3.2
- Opus decoder updated to libOpus 1.1.4

Corrections:
- Optical drives could disappear from browser when media was ejected.
- Fixed issue with CTRL-UP and CTRL-DOWN in browser (always plays sequentially now.)
- A handful of browser crash issues.
- Faster and more reliable application shutdown.
- Pro: Fixed occasionally wrong value displayed when dragging pitch buttons.

Remarks:
- Please note that you'll have to re-configure some of your settings (e.g. hotkeys)
   because of heavy internal configuration system changes.
- Windows XP is no longer supported by Resonic.
  There are several reasons for this move, one being that writing compatibility code
   for XP has been holding back development.

0.8.1b (2016-11-06)
~~~~~~~~~~~~~~~~~~~

This is an important bugfix release for both Player & Pro that deals with several visual glitches,
 soundcard selection, and occasional startup crashes of the 0.8 major release.

New Features:
- Resonic now supports native playback of OptimFROG Lossless (.ofr) and OptimFROG DualStream (.ofs)
   compressed audio files, and comes bundled with the latest library (5.100);
    see http://losslessaudio.org/ for more information.
  File information and metadata is currently not read, but will be added in a future version.
- Pro: New snap indicator for waveform.
   When the cursor is moved on a snap element (cue, marker, meta transient, locators)
    it turns white and shows the full timecode at the snapped position.
- DOUBLE-CLICK the empty area in the middle tab bar to maximize the middle section,
   i.e. the file list (currently the same as pressing F4).
- Volume is now faded in for two seconds when Resonic starts with track resume.
  And here's a reminder that you can disable track resume by holding down the CTRL key
   while Resonic is starting up.
- Command line option 'start-ramp-duration' that lets you override the fade in duration
   in milliseconds (e.g. 2000 for two seconds);
    see https://resonic.at/docs/command-line
- Pro: Cursor now snaps to selection start/end positions.
   Click the selection start to play the loop from the beginning.
    Click the selection end to start playing from where the loop ends.
- Pro: Option to hide the browser icons for a minimal look.
   You might want to try this with the dark theme!
- Pro: New launch mode 'Prepare, but don't play' that puts Resonic in a cue ready
   state where files are loaded, prepared, and paused, but not actually played.
    Playback will start on a subsequent click, on ENTER, on SPACE, or on seek.
  The default behavior is 'Play immediately', i.e. the first click loads and plays files.
- Pro: 'Select all' added to cue/marker button menu.
- Pro: Create 'Selection for tempo/beats' added to cue/marker button menu,
   which lets you create a fixed-length selection for a certain tempo, beat and measure count.
- MOUSE WHEEL support for large popup menus to quickly scroll around.
- Pro: Added 'Playback speed' to pitch button popup menu to change playback frequency,
   with the most common frequency values available.
  The file's original frequency is highlighted in bold text
   and the currently selected playback frequency has a check mark next to it.

Improvements:
- Pro: Improved semitones and cents selection in pitch button popup menu.
- Several color tweaks and better sort column visibility.
- Refreshed Explorer icons for lossy and video types (setup version only,
   and not included in portable versions which have no Windows Explorer integration).
- Improved crash handling for better error reports.
   Please keep sending us the mini dumps Resonic generates when it crashes! They help us fix bugs.

Corrections:
- Fixed sound driver selection not always being saved.
- Fixed startup crashes with certain stubborn graphics cards.
- Fixed visual glitches with custom header/info/status bars when toggled.
- Some multimedia keys were not handled correctly when the main window was active.
  This did not affect the use of multimedia keys as global hotkeys.
- Fixed status bar button cosmetic issues.
- Fixed fullscreen window restore behavior (F11).

Remarks:
- Unofficial builds, and official Player builds, will now show a one-time reminder for each update.

0.8.0b (2016-10-16)
~~~~~~~~~~~~~~~~~~~

This major update brings several fixes and improvements,
 e.g. an issue that might have reduced MOUSE WHEEL functionality for multi-monitor users,
  as well as updated support for user-provided Soundfonts for MIDI playback.
WASAPI support is now stable enough to be the recommended output system,
 i.e. when you pick your soundcard in the preferences dialog make sure you try WASAPI first.
Use DirectSound (DS) as a last resort only, or when your soundcards requires it.
For the Pro version this release introduces experimental ASIO support.

New Features:
- Pro: Experimental ASIO support.
   Currently limited to stereo output, i.e. the first two outputs are used.
  More features and options are planned. Please report any bugs you may find!
- Full support for ID3v2 tags embedded in AIFF (.aif .aiff) and Wave files (.wav).
- Reduced CPU use and power consumption when the monitor or display is switched off
   (e.g. through Windows' power management) with the Resonic window open.
  Graphics rendering (waveform, analyzer, and other heavy elements) is partially stopped
   until the monitor or display is switched on again.
- Remembering last selected page in configuration dialog.
- Displaying current output driver (DS/WASAPI/ASIO) in lower right corner,
   which can be clicked to open soundcard settings.
- Option to automatically run sleep timer on startup with the last-set duration.
   Click 'zZz' icon in status bar to access this feature.
- Options to automatically start the sleep timer when the lid (e.g. on laptops)
   is closed and to abort the sleep timer when the lid is opened.
  Please note that the lid close option only works if the 'Lid close action' in your
   current Windows power profile is set to 'Do nothing' (see 'Control Panel' ->
    'Power Options' -> 'Edit Plan Settings' -> 'Change advanced power settings' ->
     'Power buttons and lid' -> 'Lid close action'), otherwise your system will sleep
      the moment you close the lid. (08001)
- Resonic now periodically reports its activity to the Windows power management
   and makes sure that the system does not go to sleep unexpectedly while
    playback is still running.
  Note that this feature intentionally does not affect monitor/display power saving.
- New file list column 'Recording Year' ('Year')
   which maps to standard year and recording year meta tags.
- New file list column 'Parent folder',
   i.e. the name of the folder that contains the current item.
- New file list colum 'Path',
   i.e. the full path of the folder that contains the current item.
- New file list columns 'Subtitle', 'Original title', 'Original album', 'Lyricist',
   'Original lyricist', and 'Set/disc subtitle'.
  These columns are associated with various types of meta data in files,
   e.g. ID3v2, WMA, APE, MP4, iTunes, etc.
- Pro: New file list column 'Software',
   i.e. the software that was used to create a file.
- File list columns are now grouped into categories in the file list header popup
   for immproved usability (right click any column header to see it.)
  A check mark next to the menu item indicates that a column is currently visible,
   or a category contains a column that is currently visible.
  Please note that many categories and columns of the Pro version are not available
   in the Player version and appear grayed out.
- Added support for common sound banks.
  If you want Soundfont files to be available to both Resonic Player and Pro and Beta put them
   in the 'Documents\Resonic\Common\Sound Banks' folder.
- Rescan your Soundfont files and update the sound banks list without having to restart the program,
   and open the sound bank folders (see 'Menu | Sound Banks').
- Active (used-selected) Soundfont is remembered and restored on startup.
  While the Soundfont file is absent Resonic will default to its factory sound bank,
   but when it is available again it will be reloaded on the next startup,
    which is useful when Soundfonts are stored on an external drive
     (see 'Menu | Sound Banks').
- Menu item for active Soundfont is now checked (see 'Menu | Sound Banks').
- Tall popup menus that don't fit on the screen can now be scrolled via MOUSE WHEEL,
   or with the help of up and down buttons.
- You can now middle-click the visualization button (right of volume bar) to go
   back to the waveform view.
- Added 'Refresh this folder' to browser context menu,
   which rescans a single folder in order to reflect potential file system changes
    that do not show up automatically.

Improvements:
- Improved rename and background monitoring in folder browser.
- Hiding portable devices (MTP/WPD) from browser view for the time being because
   their data cannot be accessed properly at the moment.
- Changed window restore/minimize/maximize behavior/speed, and added multi-monitor handling.
   Please report any issues!
- RIGHT-CLICK on header filename now toggles popup menu.
- File list row height is now affected by Windows UI scale, e.g. on Windows 10 tablets.
- Improved startup restore of last play state (playing/paused/stopped)
   for both DirectSound (DS) and WASAPI drivers.
- Refresh file list (F5) now works for recursively scanned folders.
- Faster restoration of last-played folder in browser, improving overall start-up speed
   because not all parent folders have to be scanned.
  Only the last active folder is initially shown.
- Improved usability in custom message boxes (arrow keys, shortcuts).
- Opus decoder updated to libOpus 1.1.3
- Improved sleep timer menu ('zZz' button).
- Reduced troll-like annoyance level of 'Auto-fit columns' message.
- Moved 'Sound Banks' menu from 'Menu | Playback' to its own item in 'Menu' for quick access.
- Reworked file list column system and default widths for each column.
  If for whatever reason your existing column layout looks weird right click the column header,
   select 'Restore defaults', and set up your columns again.
- Improved comment column display for tracker music files.
- Improved taskbar control buttons (next to thumbnail) to be more visible (08002).
- Pro: Cue button menu opens faster and can be closed with a subsequent click.
- Pro: Volume presets in dBFS scale in volume bar context menu.
- Pro: More visible channel center line.
- Pro: Improved behavior of pitch buttons (semitones/cents).
  You can use your MOUSE WHEEL on the buttons, you can click & drag them up and down and
   even pick up existing values when doing so.
  Reset now triggers when you click it and release the mouse button.
  An alternate way to reset the pitch is to CTRL-CLICK them.
- Splash screen now always opens on the last-used display on multi-monitor systems,
   and also fades out faster.
- Resonic now shows 'Portable' in the titlebar if it's running in portable mode.
- Light and Dark (Pro) theme color tweaks.
- Portable version can now be run from network shares.

Corrections:
- Fixed MOUSE WHEEL failing most of its functionality on multi-monitor systems when Resonic
   was being run on a screen left to the main screen.
  This issue resulted in the malfunctioning of important usability features like no-click
   scrolling on both browser and file list, application-wide volume changing (e.g. on waveform),
    using the wheel on pitch buttons (Pro), etc.
- Fixed several visual glitches.
- Fixed scroll issue on USB device connect/disconnect in browser view.
- Fixed Twitter link (reported: Sarah)
- Header filename disappeared when trying to play an unplayable file.
- Pro: Fixed origin time column always visible by default.
- Fixed no sound being heard when playing MIDI files after audio device has been changed
   (reported: Andreasvb)
- Fixed user-provided Soundfonts not being found.
  Please put Soundfont files (.sf2, .sf2pack) in the appropriate 'Sound Banks' folder
   in your version's 'Documents\Resonic' folder.
- Popup menus no longer crossing over screen boundaries.
- Resonic might crash trying to scan certain folders or files that are not scannable
   (reported: F. Wald)
- Fixed occasional problems related to saving/restoring columns.
- Fixed DOUBLE-CLICK on column splitter not automatically resizing the remaining columns
   when 'Auto-fit to width, if possible' is active.
- Waveform shape selection was a bit weird.

Remarks:
- Please note that the 'Play count' and 'Rating' columns currently reflect the metadata
   that is currently stored in the files that you play.
  Neither information can be changed, or is updated, for the time being.
  Meta editing will be introduced in a later version.
- Tools like 'StrokeIt' might cause problems with Resonic popup menu or control behavior,
   e.g. require two clicks to open a menu, or focus loss with certain elements.
  This is most likely caused by the way these tools hook into Windows' mouse handling.
  In this case make sure you add Resonic to the tool's exception list.
   (reported: Andreasvb)
- Meta/waveform data is currently still only partially cached,
   i.e. after Resonic starts scans will always restart from the beginning.
    Full disk caching is coming in the next release.
- Update check has been improved and is reenabled in this release.
- You will have to set up your file list columns from scratch in this build.

0.7.6b (2016-08-02)
~~~~~~~~~~~~~~~~~~~

This release accumulates all the Player and Pro changes and fixes since the last official
 0.7b Player release in December.
It also introduces experimental WASAPI support.

New Features:
- Experimental WASAPI support.
   Currently limited to shared mode (i.e. multiple applications can use the same soundcard,
    like with DirectSound) and stereo output.
     More features and options are planned. Please report any bugs you may find!
- New shortcut: ALT-MENU (or ALT-APPS key) opens the main menu.
- Bit depth column now shows a prefix for floating-point audio files (e.g. '32f').
- A new type of icon (four lines) is displayed in the file list now for lossless
   and lossy Native Instruments STEMS music files.
  Read more about file list icons here: https://resonic.at/docs/file-list
- Files copied (CTRL-C) or cut (CTRL-X) in Resonic can now be pasted in Windows Explorer
   on MTP USB devices like mobile phones, portable players (iPod), etc.
- Now showing user's 'Downloads' folder as direct-access item in Resonic browser.
- Resonic's built-in BS2B-based headphone crossfeed (headphones button) for the reduction
   of super-stereo listening fatigue is now available as a VST2 plugin for use
    in your favorite DAW or audio editor:
     https://resonic.at/tools/bs2br
- Pro: High quality version of the built-in sound bank for .mid rendering/playback
   which grows the overall download size by about five megabytes.
- Pro: New global hotkeys for pitch shifting up/down one semitone/cent, and reset pitch.
- Pro: Pitched duration label in header can now be clicked to reset pitch.

Improvements:
- Changed internal and external folder structure to be more straight-forward.
- New folder structure for the setup version:
   All user data is stored in a folder called 'Resonic', located in your personal documents folder.
    Each flavor of Resonic uses its own dedicated folder
     (i.e., 'Player', 'Player Beta', 'Pro', 'Pro Beta'),
      so you can safely try Beta versions without messing up existing configurations.
  If you know what you're doing you can copy your old database files (.db)
   to the 'Database' folder of the new storage location.
- New folder structure for portable version:
   All user data in stored in a folder called 'portable', located in the application folder.
    Storage behavior is controlled by the 'ResonicBoot.ini' file.
- Improved startup user interface behavior in both fullscreen and windowed modes.
- Faster startup speed.
- Improved startup handling, especially when launching files from Explorer.
- Improved file list icons to be more visible.
- Improved status bar and behavior (click to hide messages).
- Improved header and info bar performance
- MacOSX resource fork files are now hidden from the file list.
- File format detection improved.
- Ogg files with different encodings are now properly detected,
   e.g. Opus or Speex content with an .ogg extension, as created by some apps.
- Improved custom message boxes (keyboard and shortcut handling, button selection).
- More consistent copy/move behavior based on Windows Explorer:
   holding CTRL during Drag & Drop will always copy,
    holding SHIFT during Drag & Drop will always move.

Corrections:
- Fixed and improved version of startup restore (restoring the last-played folder).
- Fixed browser not updating nodes correctly in certain cases when an external drive is connected.
- Fixed waveform display issues with clipped 32/64-bit audio files (reported: L. Ulrich)
- Fixed mouse cursor not being shown on waveform after the A-B button is clicked once.
  Besides, you can set the selection end with a mouse click,
   and you can alternatively press and hold the A-B button to create a selection.
- Some UI elements were not properly updated after moving the mouse off them.
- Fixed switch colors in global hotkeys configuration.
- Shut up 'Auto-fit width not possible' message on startup (annoying when maximized)
   (reported: S. Repp)
- Fixed F5 refresh bug when folders have been scanned recursively via 'Scan subfolders'.
- Fixed a bug where certain settings were not remembered.

Remarks:
- Recent updates of 'Windows Defender' and 'Microsoft Security Essentials' cause
   Resonic to start up very slowly, introducing lag and sluggish application performance
    (e.g. when switching files) prior to engine version 1.1.12805.0.
  If you are affected please open your AV scanner's settings and add a folder exclusion (exception)
   for the folder that you installed Resonic in (usually 'C:\Program Files (x86)\Liqube').
  Adding an exclusion will in any case improve overall performance in Resonic.
  Read more here: https://resonic.at/faq#slowstartup

0.7.5b (2016-05-19)
~~~~~~~~~~~~~~~~~~~

Corrections:
- Several minor corrections.

0.7.4b (2016-05-18)
~~~~~~~~~~~~~~~~~~~

New Features:
- Pro: Dedicated application icon and updated Windows metro elements.

Improvements:
- Pro: Drag & Drop audio extraction now keeps the input sample format by default to ensure
   maximum quality extractions straight from the start.
    Output options can always be changed via the marker/cue button menu ('Extraction format').

Corrections:
- Fixed crash on startup when opening multiple files from Windows Explorer.
- Fixed main window going under taskbar on Windows 10 when maximized
   (workaround for a Windows issue).
- Pro: Fixed missing sign on big time display when remaining time is shown.

Remarks:
- Pro: Updates can now be downloaded from the official site (www.resonic.at).
   They will also be reported by the update check.

0.7.3b (2016-05-15)
~~~~~~~~~~~~~~~~~~~

New Features:
- Pro: Sample format selection (bit depth, sample rate, channel count) for Drag & Drop audio extraction.
   Click the marker/cue button and see 'Extraction format'.
    These settings do not apply to the two crop buttons which also extract,
     but always use the same format settings as the input.
- Pro: Keyboard layout selection for instant mapping feature (QWERTY, QWERTZ, AZERTY),
   to be used in combination with the 'Map slices/files to letter keys' function which lets
    you quickly audition temporary slices (set with ALT-CLICK), or files.
  Click the marker/cue button and see 'Keyboard layout'.
- Pro: New 'Origin Time' column displays formatted Broadcast Wave (BWF) time reference.
- Pro: New 'Master FPS' and 'Current FPS' columns display formatted Broadcast Wave (BWF)
   speed information in frames per second.

Improvements:
- Window placement is now remembered by default,
   which can be changed using the option in 'Menu | Interface'.
- Reduced the chance of accidentally creating folder copies in browser
   via Drag & Drop.
- Pro: Dark theme color tweaks.

Corrections:
- Corrected meta data displayed in comment column, ignoring junk comments
   written by third-party applications (reported: F. Jolin)
- Fixed crash related to restoring the last-used folder on startup.
- Pro: Fixed rare visual glitch during license input.

0.7.2b (2016-02-27)
~~~~~~~~~~~~~~~~~~~

New Features:
- Support for user-provided Soundfont files (.sf2 or .sf2pack).
  Open your personal documents folder, 'Resonic', the subfolder for the Resonic flavor
   you are currently using, and place Soundfont files in the 'Sound Banks' folder.
  Once you restart Resonic detected files will appear in 'Menu | Playback | Sound Banks'.
- New ALAC decoder (Apple Lossless) adds support for 20-bit, 32-bit, and multi-channel ALAC files.
- Thin custom border style.
- Improved stability of meta parser for common file formats and when handling
   corrupted APE/OGG/MP3/MP4/WV files.
- Short fade-out when stopping/pausing playback.

Improvements:
- Opus decoder updated to libOpus 1.1.2
- Length column for certain file formats now uses millisecond accuracy.

Corrections:
- Fixed window repaint issues on Windows XP, and on Vista or higher with
   desktop composition (DWM) disabled,
    e.g. classic XP theme on Windows 7. (reported: P. Matias)
- Fixed window positioning issue, sometimes leading to empty-looking main windows
   on multi-monitor systems. (reported: T. Le Doux)
- Fixed fullscreen issue on low-res screens (reported: K. Ward)

Remarks:
- New folder structure for setup version:
   All user data is stored in a folder called 'Resonic', located in your personal documents folder.
    Each flavor of Resonic uses its own dedicated folder
     (i.e., 'Player', 'Player Beta', 'Pro', 'Pro Beta'),
      so you can safely try Beta versions without messing up existing configurations.
  If you know what you're doing you can copy your old database files (.db)
   to the 'Database' folder of the new storage location.
- New folder structure for portable version:
  All user data in stored in a folder called 'portable', located in the application folder.
  Storage behavior is controlled by the 'ResonicBoot.ini' file.

0.7.1b (2016-02-08)
~~~~~~~~~~~~~~~~~~~

This Resonic Player Limited Edition update shows off the dark user interface theme,
 switchable in Resonic Pro, for the very first time,
  and is being promoted by our friends at MethLab Recordings in celebration of their first EP release.
It will be the only dark-themed free version for the time being.
Please read the remarks before installing.

New Features:
- New window frame and caption, for all Windows versions.
- Added cut/copy/paste features to browser context menu.
- Pro: Detailed durations (hh:mm:ss,msec) for short files in 'Length' column.
   Milliseconds part is only shown when non-zero.
- Introducing fullscreen mode:
   press F11 to toggle fullscreen, mouse-drag the header bar to exit fullscreen.
- Added accent to highlight the active main element (browser, file list).

Improvements:
- Pro: Fine-tuned dark theme colors.
- Clipboard now cleared after successful move operations, e.g. when pasting files.
- Opus decoder updated to libOpus 1.1.1

Corrections:
- Pro: Dark/light theme switching did not update certain elements (ruler bar, played area).
- Offline or broken bookmarks were not displayed in the correct color.
- Fixed and improved 'Paste here' in file list context menu.
- Squashed numerous smaller bugs.
- Occasional browser crash when creating new folders.

Remarks:
- Important: This release will replace your existing Resonic Player installation.
  You can alternatively use the portable version.
- Some dialogs, e.g. preferences, are not fully themed yet.

0.7.0b (2015-12-20)
~~~~~~~~~~~~~~~~~~~

This long-awaited update introduces Resonic to the Windows 10 platform, comes with much faster startup,
 improved file and folder monitoring, much improved Explorer integration,
  folder Drag & Drop from Resonic to other applications, and many more additions as well as bug fixes.

New Features:
- Windows 10 is now officially supported.
- Browser handles deleted or moved folders more elegantly by focusing
   the next available sibling folder.
  If that's not possible it will fall back to the parent folder.
- 'Restore last played folder on startup' option (see 'Menu | Playback').
  Turn off this option if you prefer Resonic not restoring the previously played
   folder on startup, which may speed up plays from Explorer/command line,
    depending on the way you're working.
- Improved background file monitoring (file list).
  Files are no longer locked can be deleted while they are open in Resonic,
   some even when they are playing.
  This not only works when files are deleted inside of Resonic,
   but also when files are deleted outside of Resonic, e.g. using Windows Explorer.
- Improved background folder monitoring (browser).
  Sub-folders can now be deleted without receiving 'Access denied' errors from Windows.
  If the playing folder needs to be deleted the currently playing file needs to be closed first,
   which can be done manually by pressing CTRL-W.
  However, playing folders can now also easily be recycled while staying inside of Resonic
   by pressing CTRL-SHIFT-DEL (see below).
- You can now recycle the folder that contains the currently playing file
   by pressing CTRL-SHIFT-DEL.
  Playback is stopped automatically, playing files are closed.
- The setup version (.msi) of Resonic, which is highly recommended because of its neat
   Explorer integration, now supports opening multiple files at once.
  These files will be put into a 'From Explorer' playlist tab, which will disappear
   when Resonic closes down.
- You can now Drag & Drop copy single folders from Resonic's browser to Explorer
   and to other applications.
  Hold down SHIFT while dragging to move the folder instead.
- Custom themed scrollbars.
- Custom themed menus replace slow standard Windows menus, intelligent submenu
   behavior improves overall usability.
- You can use NUMPAD-3 to jump to the A-B region's left locator.
- File list column context menu now shows more descriptive column names. (07001)
- You can now paste (CTRL-V) folder paths (text, e.g. from Explorer address bar)
   when the browser has the focus (TAB) to change the location.
- You can now toggle hidden folders with CTRL-H, when the browser has the focus.
- New button (target symbol next to menu button) and global hotkey (e.g. WIN-ALT-L)
   to locate the active file in browser and playlist, and to show the main window, in one go.
- New buttons to play next/previous folder (small arrows next to menu button),
   which are the same as the CTRL-DOWN/UP shortcuts.
- By default the Resonic window is shown and activated when a file or folder is played
   via Windows Explorer or command line parameters.
  This behavior can now be changed globally through an option called
   'Activate window on shell play' (see 'Menu | Advanced').

Improvements:
- Time display is now updated immediately on position changes.
- File list is now always focused on startup, i.e. arrow keys, etc.
   can be used right from the start.
- Improved internal recycle/delete features to be more reliable.
- Disabled screen snap (to screen edges) on Windows 10 to work around
   broken screen coordinate system APIs.
  Thank you, Microsoft.
- Non-drives hidden from browser's drives section on Windows 10.
- Command line handling in portable version extended and improved;
   see https://resonic.at/docs/command-line

Corrections:
- Several error messages when trying to open up multiple files with Resonic from Windows Explorer.
  This fix applies to the setup version.
- Playback no longer stops after the first file when opening files
   via Windows Explorer, or command line.
- Stopping playback with NUMPAD-0 broke playback.
  Playback is now stopped as intended with a short fade out, just like the stop button does.
- Drag & Drop of multiple files into Resonic's browser sometimes failed.
- Additional files showed up in file list when files were renamed externally,
   or overwritten in some cases (e.g. by Ableton Live)
    (reported: A. Fodor)
- Some DSD audio files (.dff) not showing up properly in Windows Explorer.
- Several smaller fixes related to the integrated browser.
- Preferences window focus glitch.
- Improved Explorer integration, especially when Player and Pro, and/or
   Beta versions are installed side-by-side.
- Relative paths passed via command line were not resolved properly.

0.6.3b (2015-07-08)
~~~~~~~~~~~~~~~~~~~

This release adds much improved Drag & Drop functionality, a rename bookmark feature,
 and fixes several bugs and issues.
You can now Drag & Drop copy and move single and multiple files onto Resonic's browser
 from within Resonic, from Windows Explorer, and from other applications.
You can also Drag & Drop directly to Skype or iTunes.
Please note that you'll have to re-configure some of your settings (e.g. hotkeys)
 because of heavy internal changes. Your bookmarks won't be touched.

New Features:
- Much improved Drag & Drop support for both browser and file list.
  Supports play, copy, and move operations.
   The copy operation is the default, but copy/move can be toggled by holding down
    the CTRL or SHIFT key while dragging.
- You can now Drag & Drop copy one or more files from Resonic's file list
   onto folders in Resonic's browser.
  Hold down SHIFT while dragging to move the files instead.
- You can now Drag & Drop copy one or more files from Windows Explorer
   onto folders in Resonic's browser.
  Hold down SHIFT while dragging to move the files instead.
- Bookmarks can now be renamed.
   RIGHT-CLICK any bookmark in browser and select 'Rename bookmark'.
    To restore its default name enter an empty name.
- You can create new folders in Resonic's browser.
   RIGHT-CLICK on a parent folder, select 'New folder'.
    or use the CTRL-SHIFT-N shortcut. which is the same
     as in Windows Explorer.
- Improved startup folder restore speed by only restoring the last active folder
   in the folder tree.
- Resonic now comes with custom tiles for Windows 8/8.1/10 users.
- Files can now be dragged and dropped directly into applications that previously
   didn't accept the drop, e.g. Skype, Miranda IM, etc.
  This works for both the file list and the header filename.
  This includes explicit support for Skype.
- Window can now be moved by dragging the header bar.
- 'Turn off monitor' option for sleep timer.
   Click the 'zZz' button in the lower right of the application window,
    then go to the sleep type menu and select 'Turn off monitor'.
  This option works for all sleep types that don't turn off the computer,
   for example 'Exit' (and turn off monitor).
- A-B loops are now taken over to the next file when the 'Maintain position'
   feature is enabled.
  This is useful for listening to/comparing the same region in different files
   or to quickly listen through a whole album.
- Experimental support for Audio CD files (.cda), although without waveform.
   Please report any weird behavior or findings.

Improvements:
- Optimized visualizations (waveform, level meter, etc.)
   for slightly less CPU use.
- Improved file Drag & Drop,
   e.g. a file type icon is shown now where available.
- Updated all Explorer icons

Corrections:
- Volume bar sometimes did not repaint properly
   (reported: S. Panin)
- Splash screen sometimes caused crashes when clicked rapidly
   (reported: A. Ginhoux)
- Browser did not behave as expected during incremental search,
   i.e. during quick-search via letters,
    also ENTER starts folder playback as intended.
     (reported: Shyman)
- Browser did not behave as expected when the header filename is clicked,
   i.e. it did not scroll to the active file's folder.
  Both browser and file list are now synced to the active file.
- Folders that use custom icons no longer appear hidden (transparent icons).
   (reported: ExtremRaym, user of 'Rainbow Folders')
- Wave files with garbage 'fact' chunks could not be played back correctly
   (reported: MrMichaelz)
- Files tab occasionally not showing up on first start.
- MOUSE WHEEL not working in preferences dialog (hotkeys).
- Volume bar didn't repaint properly when compact mode is toggled
   (reported: Andreasvb)

0.6.2b (2015-04-12)
~~~~~~~~~~~~~~~~~~~

New Features:
- Basic sound card selection in preferences dialog.
   DirectSound will eventually be replaced with WASAPI and ASIO (Pro).
    Changes take effect on track change.
- Resonic now creates mini dumps when it crashes.
   You are presented the option to open up your email application
    and send us a bug report to help us fix the bug that caused the crash.

Improvements:
- Sound driver is now re-opened when needed, e.g. when it was blocked
   by another application before.
- Advance mode button is highlighted when not playing sequentially

Corrections:
- Fixed occasional line jitter when moving mouse over waveform
- Fixed bug in update check

0.6.1b (2015-04-02)
~~~~~~~~~~~~~~~~~~~

This is a maintenence release, it does not introduce new features.
Update only if any of the fixes apply to you.
You can install on top of your existing installation.

Improvements:
- More visible status bar notices
- Improved the way long paths are handled

Corrections:
- Application crashes during startup with certain system locales
   (reported: wira)
- Application does not start on latest Windows 10 Pro Technical Preview
   (reported: S. Mogilevtsev)
- Files in deep folder structures (long paths) will show, but won't play
   (reported: A. Fodor)

0.6.0b (2015-03-28)
~~~~~~~~~~~~~~~~~~~

This huge release officially marks the start of Resonic's Beta phase.
All parts of the application have been rethought, reworked,
 or rewritten from scratch.
Besides countless performance improvements this release introduces
 an improved user interface, including all new waveform code,
  a new file list, and a new browser with folder monitoring.

New Features:
- Major visual and functional user interface rework (buttons, tabs, colors, etc.)
- New powerful meta core with extensive support for a vast range of meta data stored
   in several important file formats.
  This core paves the way for many upcoming meta-related features.
- Browser rewritten for overall improved performance,
   no longer blocks interface while folders are being expanded,
    which is especially noticeable on portable or slow devices (e.g. cell phones)
- Browser now supports folder monitoring,
   i.e. external changes made to folders (create, rename, delete, etc.)
    are reflected in Resonic's browser.
- Playback starts much faster now
- Window restore much faster and less jumpy, especially when maximized
- Folder changes much faster, less jumpy file list columns
- About dialog (see 'Menu | Help') with full list of credits
- Improved audio drop-out stability by reading/decoding files in parallel
- Number and size of selected files now shown in footer (06002)
- Tray icon and context menu (minimize to tray with ALT-M)
- In addition to 'Always minimize to tray' you can now also 'Always close to tray',
   i.e. Resonic goes into system tray when you close it,
    or when you press the window's 'X' button (see 'Menu | Interface').
- Playback advance now delays for a second after a file fails to play
- New percentage mode for time display, in addition to the classic timecode.
  To enable it check the RIGHT-CLICK context menu. (06003)
- New option allows you to toggle filename in main window title.
  To access it RIGHT-CLICK the filename in the header and use 'Show name in window title'.
- Fast clicks on file list items are now registered properly (reported: M. Lapierre)
- You can now use the MOUSE WHEEL on certain buttons (!)
   like visualization type (next to volume bar) or advance mode (sequential/random).
- You can now prevent notification messages in status bar from going away automatically
   by keeping the mouse on them
- New default waveform style: 'Solid',
   a simple but elegant single-color waveform, as seen in many classic wave editors
    (see 'Menu | Visualization | Waveform style').
- Waveform peaks are no longer scanned when the waveform is invisible
   or when the visualization area is hidden (CTRL-F12).
  This results in a significant performance boost in situations where waveforms
   are simply not required, for example:
  You just want to browse or manage files without visualization.
  You just want to use the analyzer.
- New shortcut: BACKSPACE goes up one level in folder tree, when browser has input focus
- New shortcut: ALT-NUM* inverts the current file selection
- New column: 'Track #', track number read from file tags, e.g. ID3 (suggested: trucmuch)
- New column: 'Extension', just the file's extension.
  When the 'Extension' column is visible file extensions in the 'File name' column are hidden.
- Bookmarks are now sorted by display name
- Most file format plugins are now loaded dynamically and when needed,
   thus reducing the overall memory footprint
- Native PCM preview support for Direct Stream Digital (DSD) formats,
   supporting .dsd and .dsf files and the following rates:
    DSD64, DSD128 (double-rate), DSD256 (quad-rate), and DSD512 (octuple-rate).
- Seeking across files is now possible.
  Near the end of a file a forward seek now moves on to the next file instead
   of playing out the current file, which makes it easy to quickly jump
    across multiple files (right arrow, MOUSE WHEEL on time display, etc.)
- ENTER or DOUBLE-CLICK on a folder now activated the file list,
   i.e. sub-sequent use of the UP and DOWN keys will affect the file list.
  To go back to the browser you can always press TAB.
- FLAC core decoder updated to 1.3.1
- Use ALT-WHEEL to seek in the track when mouse is inside visualization area
   (on waveform, analyzers, etc.).
  Note that ALT-WHEEL on the file list jumps between tracks.
- Use CTRL-ALT-WHEEL to randomly seek in the track when mouse is inside the visualization area
   (on waveform, analyzers, etc.).
- You can now click and hold the A-B button, then release it after a while to set a loop.
- Update check, looks for new versions on the internet (can be disabled).
- Dim button next to mute button (and volume bar) lets you temporarily lower the playback volume.
   Note that you can also hold the SPACE key pressed to temporarily dim volume,
    then release it to undim volume.
- Option to combine play and pause buttons into one (see 'Menu | Interface'),
   which changes behavior from play/pause/restart to just play/pause.
  However, you can now middle-click the play button to always restart the playing track,
   regardless of the play/pause buttons being combined or not.
  By default Resonic Player now starts up with the buttons combined.
- New shortcuts: PAUSE/BREAK key toggles volume mute, ALT-PAUSE/BREAK toggles volume dim.

Improvements:
- New default waveform style is now 'Solid'
- Much improved and correct representation of short audio files
- Improved overall application performance
- Improved file list code, supports playlists in future builds
- Improved overall playback stability and file list handling
- Browser icon support improved (libraries, etc.)
- Partial support for interface scaling on Windows 7, 8, and 8.1
- Improved text rendering in visualizations. (06001)
- Taskbar progress no longer updated for short files
- Website: Online changelog (what's new) improved, and several other changes
- Play position no longer drawn in analyzer visualization for very short files
- Improved frequency value display for logarithmic and linear analyzers
- Focus is now set to file list on DOUBLE-CLICK or ENTER on a folder.
  Hint: You can use TAB to switch focus between browser and file list at any time.
- Improved localization system (multi-language support) for faster loading
- Improved overall file list handling and selections
- Improved database performance and greatly reduced disk accesses when option
   'Allow multiple instances' is disabled, which is the default setting.
- Last-playing waveform is restored with less delay on application startup
- Improved event rendering in event visualization (for module music)
- Icon column in file list (lossy/lossless/etc.) can now be moved
- Renamed 'Avoid horizontal scrollbar' option to 'Auto-fit to width' (columns)
- Fixed jumpy frequency display in analyzer when playback starts (and after stop)
- No more runaway track advances with very short sound files.
  When you press stop, it stops.
- Use CTRL-WHEEL on file list to play the previous/next file (previously: ALT-WHEEL)
- Use ALT-WHEEL on file list to play a random file (previously: CTRL-ALT-WHEEL)

Corrections:
- Fixed splash screen painting on top of startup error messages (reported: ExtremRaym)
- Fixed hints sometimes interfering with popup menus
- Fixed playlist advance with unplayable files
- Fixed occasional endless loop in folders that contain only unplayable files
- Fixed playlist position not being updated properly after deleting files with CTRL-DEL
   (reported. P. Greiss)
- Fixed bug where standard Windows delete/copy/cut dialogs might disappear
   and cause weird GUI behavior
- Fixed playback auto-starting in certain cases when ALT-TAB or TAB is pressed (06004)
- Fixed 'Hz' column (sample rate) showing incorrect information (reported: S. Quinn)
- Fixed next/previous folder shortcuts (CTRL-UP / DOWN) not working in certain situations
- Countless other fixes and corrections, not mentioned here
- Support for additional ID3v1 genres

Removals:
- Removed classic Resonic Alpha waveform styles in favor of performance
- Removed experimental feature 'Focus indicators'

Remarks:
- Meta/waveform data is currently only partially cached,
   i.e. after Resonic starts scans will always restart from the beginning.
    Full disk caching is coming in one of the next Beta releases.
- The Sleep Timer was moved from main menu to a "zZz" button in the status bar (lower right).
  The timer's options can be changed any time, even while it's running.
  The timer can be aborted with a click on the countdown time.
- The 'Events' visualization mode for module music is currently not implemented.
- Sound output options are coming in one of the next two Beta updates,
   which will be smaller and more frequent.


end of file.
